LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_HSADC_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_HSADC_T Struct Reference
CHIP: LPC18xx/43xx High speed ADC driver

## Detailed Description

HSADC register block structure.

Definition at line 60 of file hsadc_18xx_43xx.h.

`#include "hsadc_18xx_43xx.h"`

## Data Fields
__O uint32_t | FLUSH
__IO uint32_t | DMA_REQ
__I uint32_t | FIFO_STS
__IO uint32_t | FIFO_CFG
__O uint32_t | TRIGGER
__IO uint32_t | DSCR_STS
__IO uint32_t | POWER_DOWN
__IO uint32_t | CONFIG
__IO uint32_t | THR [2]
__I uint32_t | LAST_SAMPLE [6]
uint32_t | RESERVED0 [49]
__IO uint32_t | ADC_SPEED
__IO uint32_t | POWER_CONTROL
uint32_t | RESERVED1 [61]
__I uint32_t | FIFO_OUTPUT [16]
uint32_t | RESERVED2 [48]
__IO uint32_t | DESCRIPTOR [2][8]
uint32_t | RESERVED3 [752]
HSADCINTCTRL_T | INTS [2]

## Field Documentation

__IO uint32_t ADC_SPEED

ADC speed control

Definition at line 72 of file hsadc_18xx_43xx.h.

__IO uint32_t CONFIG

Configures external trigger mode, store channel ID in FIFO and walk-up recovery time from power down

Definition at line 68 of file hsadc_18xx_43xx.h.

__IO uint32_t DESCRIPTOR[2][8]

Table 0 and 1 descriptors

Definition at line 77 of file hsadc_18xx_43xx.h.

__IO uint32_t DMA_REQ

Set or clear DMA write request

Definition at line 62 of file hsadc_18xx_43xx.h.

__IO uint32_t DSCR_STS

Indicates active descriptor table and descriptor entry

Definition at line 66 of file hsadc_18xx_43xx.h.

__IO uint32_t FIFO_CFG

Configures FIFO fill level

Definition at line 64 of file hsadc_18xx_43xx.h.

__I uint32_t FIFO_OUTPUT[16]

FIFO output mapped to 16 consecutive address locations

Definition at line 75 of file hsadc_18xx_43xx.h.

__I uint32_t FIFO_STS

Indicates FIFO fill level status

Definition at line 63 of file hsadc_18xx_43xx.h.

__O uint32_t FLUSH

< HSADC Structure Flushes FIFO

Definition at line 61 of file hsadc_18xx_43xx.h.

HSADCINTCTRL_T INTS[2]

Interrupt 0 and 1 control and status registers

Definition at line 79 of file hsadc_18xx_43xx.h.

__I uint32_t LAST_SAMPLE[6]

Contains last converted sample of input M [M=0..5) and result of window comparator

Definition at line 70 of file hsadc_18xx_43xx.h.

__IO uint32_t POWER_CONTROL

Configures ADC power vs. speed, DC-in biasing, output format and power gating

Definition at line 73 of file hsadc_18xx_43xx.h.

__IO uint32_t POWER_DOWN

Set or clear power down mode

Definition at line 67 of file hsadc_18xx_43xx.h.

uint32_t RESERVED0[49]

Definition at line 71 of file hsadc_18xx_43xx.h.

uint32_t RESERVED1[61]

Definition at line 74 of file hsadc_18xx_43xx.h.

uint32_t RESERVED2[48]

Definition at line 76 of file hsadc_18xx_43xx.h.

uint32_t RESERVED3[752]

Definition at line 78 of file hsadc_18xx_43xx.h.

__IO uint32_t THR[2]

Configures window comparator A or B levels

Definition at line 69 of file hsadc_18xx_43xx.h.

__O uint32_t TRIGGER

Enable software trigger to start descriptor processing

Definition at line 65 of file hsadc_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/hsadc_18xx_43xx.h